Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jws
Class WlwProxy

    java.lang.Object
      weblogic.jws.WlwProxy

All Implemented Interfaces:
  Serializable

    public abstract class WlwProxy

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`WlwProxy()`

Method Summary
`static Object` | `create(Class publicContract, HttpServletRequest servletRequest)` This method creates a proxy to a top-level Wlw JBC.
`static Object` | `create(Class publicContract, URL implementationURL)` This method creates a proxy to a top-level Wlw object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WlwProxy

    public WlwProxy()

Method Detail

### create

    public static final Object create(Class publicContract,
                                      HttpServletRequest servletRequest)
                               throws WlwProxyException

  This method creates a proxy to a top-level Wlw JBC.

  Parameters:
    `publicContract` - An interface that describes the public contract for the JBC.
    `ServletRequest` - The current request object for the caller
  Returns:
    A dynamic proxy that can be cast to publicContract.
  Throws:
    `WlwProxyException` - This exception wraps any checked exceptions thrown during construction of the proxy.

### create

    public static final Object create(Class publicContract,
                                      URL implementationURL)
                               throws WlwProxyException

  This method creates a proxy to a top-level Wlw object.

  Parameters:
    `publicContract` - An interface that describes the public contract for the JBC.
    `implementationURL` - The URL for the object implementation.
  Returns:
    A dynamic proxy that can be cast to publicContract.
  Throws:
    `WlwProxyException` - This exception wraps any checked exceptions thrown during construction of the proxy.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD